%define		rname google-authenticator-apache-module
Summary:	Apache2 google authenticator module
Summary(ko): 아파치2 google authenticator 모듈
Name:		httpd-authn-google
Version:	r22
Release:	1%{?dist}
Epoch:		1
License:	Apache License 2.0
Group:		System Environment/Daemons
URL:		https://code.google.com/archive/p/google-authenticator-apache-module/
Source0:	%{rname}-%{version}.tar.bz2
Source1:    authn-google.conf
BuildRoot:	%(mktemp -ud %{_tmppath}/%{name}-%{version}-%{release}-XXXXXX)
BuildRequires: httpd-devel apr-devel apr-util-devel
Requires: httpd google-authenticator

%define _unpackaged_files_terminate_build 0
%define _moddir %{_libdir}/httpd/modules
%define _modconf %{_sysconfdir}/httpd/conf.d

%description
Apache Module for Two-Factor Authentication via Google Authenticator

%prep
%setup -q -n %{rname}-%{version}

%build
%{__make}

%install
%{__install} -d -m755 %{buildroot}%{_moddir}/
%{__install} -d -m755 %{buildroot}%{_modconf}/
%{__install} -d -m755 %{buildroot}%{_sysconfdir}/httpd/ga_auth
%{__install} -m 755 .libs/mod_authn_google.so %{buildroot}%{_moddir}/
%{__install} -m 644 %{SOURCE1} %{buildroot}%{_modconf}/

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%config(noreplace) %{_modconf}/authn-google.conf
%dir %{_sysconfdir}/httpd/ga_auth
%{_moddir}/mod_authn_google.so

%changelog
* Sat Mar  5 2016 JoungKyun.Kim <http://oops.org> 1:r22-1%{?dist}
- build with r22

